Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.plot
Class RainbowPalette

    java.lang.Object
      org.jfree.chart.plot.ColorPalette
          org.jfree.chart.plot.RainbowPalette

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Deprecated. This class is no longer supported. If you are creating contour plots, please try to use `XYPlot` and `XYBlockRenderer`.

    public class RainbowPalette

extends ColorPalette
implements java.io.Serializable

Contains the data to construct an 8-bit rainbow palette This come from an old application which ran on 8-bit graphics device. Thus indexes 0 and 1 were preserved for rendering white and black respectively.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.plot.ColorPalette
`b, g, inverse, log10, logscale, maxZ, minZ, paletteName, r, stepped, tickValues`

Constructor Summary
`RainbowPalette()` Deprecated. Default constructor.

Method Summary
`void` | `initialize()` Deprecated. Intializes the palettes indexes

Methods inherited from class org.jfree.chart.plot.ColorPalette
`clone, equals, getColor, getColor, getColorLinear, getColorLog, getMaxZ, getMinZ, getPaint, getPaletteName, getTickValues, hashCode, invertPalette, isInverse, isLogscale, isStepped, setInverse, setLogscale, setMaxZ, setMinZ, setPaletteName, setStepped, setTickValues, setTickValues`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RainbowPalette

    public RainbowPalette()

  Deprecated.
  Default constructor.

Method Detail

### initialize

    public void initialize()

  Deprecated.
  Intializes the palettes indexes

  Specified by:
    `initialize` in class `ColorPalette`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD